searchNodes=[{"ref":"Mix.Tasks.Compile.PlatformshConf.html","title":"Mix.Tasks.Compile.PlatformshConf","type":"task","doc":"mix compiler adding config to compile for convenience"},{"ref":"Mix.Tasks.Compile.PlatformshConf.html#run/1","title":"Mix.Tasks.Compile.PlatformshConf.run/1","type":"function","doc":"Platform.sh config for compile task"},{"ref":"Mix.Tasks.Platformsh.Compile.html","title":"Mix.Tasks.Platformsh.Compile","type":"task","doc":"hard alias to config+compile for convenience"},{"ref":"Mix.Tasks.Platformsh.Compile.html#run/1","title":"Mix.Tasks.Platformsh.Compile.run/1","type":"function","doc":"Platform.sh config+compile task"},{"ref":"Mix.Tasks.Platformsh.Config.html","title":"Mix.Tasks.Platformsh.Config","type":"task","doc":"Add mix tasks If app is started with mix, add this task beforehand"},{"ref":"Mix.Tasks.Platformsh.Config.html#run/1","title":"Mix.Tasks.Platformsh.Config.run/1","type":"function","doc":"to derive PlatformSh config if app is launched with mix: add this task before app.start"},{"ref":"Mix.Tasks.Platformsh.Run.html","title":"Mix.Tasks.Platformsh.Run","type":"task","doc":"hard alias to config+run for convenience"},{"ref":"Mix.Tasks.Platformsh.Run.html#run/1","title":"Mix.Tasks.Platformsh.Run.run/1","type":"function","doc":"Platform.sh config+run task"},{"ref":"Platformsh.Config.html","title":"Platformsh.Config","type":"module","doc":"Reads Platform.sh configuration from environment variables. See: https://docs.platform.sh/development/variables.html The following are &#39;magic&#39; properties that may exist on a Config object. Before accessing a property, check its existence with hasattr(config, variableName). Attempting to access a nonexistent variable will throw an exception. Attributes: (The following properties are available at build time and run time.) project (string): The project ID. application_name (string): The name of the application, as defined in its configuration. tree_id (string): An ID identifying the application tree before it was built: a unique hash is generated based on the contents of the application&#39;s files in the repository. app_dir (string): The absolute path to the application. project_entropy (string): A random string generated for each project, useful for generating hash keys. (The following properties are only available at runtime.) branch (string): The Git branch name. environment (string): The environment ID (usually the Git branch plus a hash). document_root (string): The absolute path to the web root of the application. smtp_host (string): The hostname of the Platform.sh default SMTP server (an empty string if emails are disabled on the environment. port (string): The TCP port number the application should listen to for incoming requests. socket (string): The Unix socket the application should listen to for incoming requests. . Platform.sh Environment Variables https://docs.platform.sh/development/variables.html"},{"ref":"Platformsh.Config.html#application/0","title":"Platformsh.Config.application/0","type":"function","doc":"Returns the application definition dict. This is, approximately, the .platform.app.yaml file as a nested dict. However, it also has other information added by Platform.sh as part of the build and deploy process. Returns: The application definition dict."},{"ref":"Platformsh.Config.html#config/1","title":"Platformsh.Config.config/1","type":"function","doc":"Load everything we have into the environment"},{"ref":"Platformsh.Config.html#credentials/0","title":"Platformsh.Config.credentials/0","type":"function","doc":"Retrieves the unfiltered credentials for accessing a relationship. Returns: The credentials dict for the service pointed to by the relationship."},{"ref":"Platformsh.Config.html#credentials/1","title":"Platformsh.Config.credentials/1","type":"function","doc":"Retrieves the credentials for accessing a relationship. Args: relationship (string): The relationship name as defined in .platform.app.yaml for the moment it returns the first in the index of clustered services Returns: The credentials dict for the service pointed to by the relationship."},{"ref":"Platformsh.Config.html#decode/1","title":"Platformsh.Config.decode/1","type":"function","doc":"Decodes a Platform.sh environment variable. Args: variable (string): Base64-encoded JSON (the content of an environment variable). Returns: An dict (if representing a JSON object), or a scalar type. Raises: JSON decoding error."},{"ref":"Platformsh.Config.html#ecto_dsn_formatter/1","title":"Platformsh.Config.ecto_dsn_formatter/1","type":"function","doc":"Formats a dsn for use with ecto Returns: a string in the format of a dsn url for ecto"},{"ref":"Platformsh.Config.html#environment/0","title":"Platformsh.Config.environment/0","type":"function","doc":"Local index of the variables that can be accessed as direct properties (build and runtime). The key is the property that will be read. The value is the environment variables, minus prefix, that contains the value to look up."},{"ref":"Platformsh.Config.html#guess_relational_database/0","title":"Platformsh.Config.guess_relational_database/0","type":"function","doc":"Guesses a relational database for ecto Returns: a string in the format of a dsn url for ecto or nil if none found, this is guesss work so we don&#39;t want to crash on no value"},{"ref":"Platformsh.Config.html#has_relationship/1","title":"Platformsh.Config.has_relationship/1","type":"function","doc":"Determines if a relationship is defined, and thus has credentials available. Args: relationship (string): The name of the relationship to check. Returns: bool: True if the relationship is defined, False otherwise."},{"ref":"Platformsh.Config.html#has_relationships/0","title":"Platformsh.Config.has_relationships/0","type":"function","doc":"Determines if a relationships are defined, and thus has credentials available. Returns: bool: True if the relationship is defined, False otherwise."},{"ref":"Platformsh.Config.html#has_routes?/0","title":"Platformsh.Config.has_routes?/0","type":"function","doc":"Determines if a routes are defined Returns: bool: True if the relationship is defined, False otherwise."},{"ref":"Platformsh.Config.html#in_build?/0","title":"Platformsh.Config.in_build?/0","type":"function","doc":"Checks whether the code is running in a build environment. Returns: bool: True if running in build environment, False otherwise."},{"ref":"Platformsh.Config.html#in_runtime?/0","title":"Platformsh.Config.in_runtime?/0","type":"function","doc":"Checks whether the code is running in a runtime environment. Returns: bool: True if in a runtime environment, False otherwise."},{"ref":"Platformsh.Config.html#is_valid_platform?/0","title":"Platformsh.Config.is_valid_platform?/0","type":"function","doc":"Checks whether the code is running on a platform with valid environment variables. Returns: bool: True if configuration can be used, False otherwise."},{"ref":"Platformsh.Config.html#on_dedicated_enterprise?/0","title":"Platformsh.Config.on_dedicated_enterprise?/0","type":"function","doc":"Determines if the current environment is a Platform.sh Dedicated Enterprise environment. Returns: bool: True on an Enterprise environment, False otherwise."},{"ref":"Platformsh.Config.html#on_production?/0","title":"Platformsh.Config.on_production?/0","type":"function","doc":"Determines if the current environment is a production environment. Note: There may be a few edge cases where this is not entirely correct on Enterprise, if the production branch is not named `production`. In that case you&#39;ll need to use your own logic. Returns: bool: True if the environment is a production environment, False otherwise. It will also return False if not running on Platform.sh or in the build phase."},{"ref":"Platformsh.Config.html#primary_route/0","title":"Platformsh.Config.primary_route/0","type":"function","doc":"Gets primary route Returns: a url of the primary route"},{"ref":"Platformsh.Config.html#relationships/0","title":"Platformsh.Config.relationships/0","type":"function","doc":"Returns the just the names of relationships Returns: a list with relationship names"},{"ref":"Platformsh.Config.html#routes/0","title":"Platformsh.Config.routes/0","type":"function","doc":"routes/0 Return the routes definition. Returns: The routes dict. Raises: RuntimeError: If the routes are not accessible due to being in the wrong environment."},{"ref":"Platformsh.Config.html#routes/1","title":"Platformsh.Config.routes/1","type":"function","doc":"routes/1 Get route definition by route ID. Args: route_id (string): The ID of the route to load. Returns: The route definition. The generated URL of the route is added as a &#39;url&#39; key. Raises: KeyError: If there is no route by that ID, an exception is thrown."},{"ref":"Platformsh.Config.html#value/1","title":"Platformsh.Config.value/1","type":"function","doc":"value/1 Reads unprefixed environment variable, taking the prefix into account. Args: item (string): The variable to read."},{"ref":"Platformsh.Config.html#value/2","title":"Platformsh.Config.value/2","type":"function","doc":"value/2 Reads an environment variable, taking the prefix into account. Args: item (string): The variable to read. prefix (string): The Environment variable prefix"},{"ref":"Platformsh.Config.html#variables/0","title":"Platformsh.Config.variables/0","type":"function","doc":"variables/0 Returns the full variables dict. If you&#39;re looking for a specific variable, the variable() method is a more robust option. This method is for classes where you want to scan the whole variables list looking for a pattern. It&#39;s valid for there to be no variables defined at all, so there&#39;s no guard for missing values. Returns: The full variables dict."},{"ref":"Platformsh.Config.html#variables/1","title":"Platformsh.Config.variables/1","type":"function","doc":"variables/1 Returns a variable from the VARIABLES dict. Note: Variables prefixed with `env`: can be accessed as normal environment variables. This method will return such a variable by the name with the prefix still included. Generally it&#39;s better to access those variables directly. Args: name (string): The name of the variable to retrieve. default (mixed): The default value to return if the variable is not defined. Defaults to nil. Returns: The value of the variable, or nil. This may be a string or a dict."},{"ref":"Platformsh.ConfigProvider.html","title":"Platformsh.ConfigProvider","type":"module","doc":"if app is started as a release, add this config provider"},{"ref":"Platformsh.ConfigProvider.html#init/1","title":"Platformsh.ConfigProvider.init/1","type":"function","doc":"To derive PlatformSh config at bootup of a release, add this config provider to release"},{"ref":"Platformsh.ConfigProvider.html#load/2","title":"Platformsh.ConfigProvider.load/2","type":"function","doc":"Loads PlatformSh config explictly"}]